%define major 20
%define libname %mklibname gcrypt %{major}
%define develname %mklibname gcrypt -d

# disable tests by default, no /dev/random feed, no joy
%ifarch %{arm}
%define do_check 0
%else
%define do_check 1
%endif
%{expand: %{?_with_check: %%global do_check 1}}

Summary:	GNU Cryptographic library
Name:		libgcrypt
Version:	1.8.7
%define subrel 1
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
Url:		http://www.gnupg.org/
# don't convert to bzip2, since we ship archive signature
Source0:	ftp://ftp.gnupg.org/gcrypt/libgcrypt/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnupg.org/gcrypt/libgcrypt/%{name}-%{version}.tar.bz2.sig
Patch1:		libgcrypt-1.2.0-libdir.patch
Patch2:		CVE-2021-33560.patch
BuildRequires:	pkgconfig(gpg-error) >= 1.11

%description
Libgcrypt is a general purpose cryptographic library
based on the code from GNU Privacy Guard.  It provides functions for all
cryptograhic building blocks: symmetric ciphers
(AES,DES,Blowfish,CAST5,Twofish,Arcfour), hash algorithms (MD5,
RIPE-MD160, SHA-1, TIGER-192), MACs (HMAC for all hash algorithms),
public key algorithms (RSA, ElGamal, DSA), large integer functions,
random numbers and a lot of supporting functions.

%package -n %{libname}
Summary:	GNU Cryptographic library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Libgcrypt is a general purpose cryptographic library
based on the code from GNU Privacy Guard.  It provides functions for all
cryptograhic building blocks: symmetric ciphers
(AES,DES,Blowfish,CAST5,Twofish,Arcfour), hash algorithms (MD5,
RIPE-MD160, SHA-1, TIGER-192), MACs (HMAC for all hash algorithms),
public key algorithms (RSA, ElGamal, DSA), large integer functions,
random numbers and a lot of supporting functions.

%package -n %{develname}
Summary:	Development files for GNU cryptographic library
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Libgcrypt is a general purpose cryptographic library
based on the code from GNU Privacy Guard.
This package contains files needed to develop
applications using libgcrypt. ( For example Ägypten project )

%prep
%setup -q
%autopatch -p1

%build
%configure --disable-static \
	--disable-dev-random \
	--enable-m-guard
%make_build

%check
%if %{do_check}
%__make check
%endif

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS README NEWS THANKS TODO
%license COPYING.LIB
%{_libdir}/lib*.so.%{major}
%{_libdir}/lib*.so.%{major}.*

%files -n %{develname}
%doc ChangeLog README.*
%license COPYING
%{_mandir}/man1/hmac256.*
%{_bindir}/*
%{_includedir}/*.h
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/libgcrypt.pc
%{_datadir}/aclocal/*
%{_infodir}/gcrypt.info*


%changelog
* Tue Jun 22 2021 ns80 <ns80> 1.8.7-1.1.mga8
+ Revision: 1731719
- add patch for CVE-2021-33560 (mga#29162)

* Wed Nov 18 2020 luigiwalser <luigiwalser> 1.8.7-1.mga8
+ Revision: 1647136
- 1.8.7

* Thu Aug 20 2020 ovitters <ovitters> 1.8.5-5.mga8
+ Revision: 1616645
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Sun Feb 16 2020 umeabot <umeabot> 1.8.5-4.mga8
+ Revision: 1530586
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Sep 03 2019 daviddavid <daviddavid> 1.8.5-3.mga8
+ Revision: 1436630
- fix files listed twice

* Tue Sep 03 2019 tv <tv> 1.8.5-2.mga8
+ Revision: 1436612
- fix filelist

* Tue Sep 03 2019 daviddavid <daviddavid> 1.8.5-1.mga8
+ Revision: 1436568
- new version: 1.8.5

* Wed Oct 31 2018 wally <wally> 1.8.4-1.mga7
+ Revision: 1326964
- new version 1.8.4

* Sun Sep 23 2018 umeabot <umeabot> 1.8.3-2.mga7
+ Revision: 1298858
- Mageia 7 Mass Rebuild

* Thu Jun 14 2018 wally <wally> 1.8.3-1.mga7
+ Revision: 1236909
- new version 1.8.3

* Sat Apr 07 2018 kekepower <kekepower> 1.8.2-1.mga7
+ Revision: 1215742
- Update to version 1.8.2

* Sat Feb 24 2018 wally <wally> 1.8.1-2.mga7
+ Revision: 1204772
- rebuild without pth

* Wed Nov 01 2017 mjack <mjack> 1.8.1-1.mga7
+ Revision: 1175315
- Updated to version 1.8.1
- Removed patch already applied by upstream

* Fri Sep 08 2017 mrambo3501 <mrambo3501> 1.7.8-2.mga7
+ Revision: 1151943
- Added patch which fixes CVE-2017-0379 mga#21640

* Mon Jul 03 2017 luigiwalser <luigiwalser> 1.7.8-1.mga6
+ Revision: 1109002
- 1.7.8

* Thu Jun 08 2017 luigiwalser <luigiwalser> 1.7.7-1.mga6
+ Revision: 1107307
- 1.7.7

* Tue Jan 24 2017 luigiwalser <luigiwalser> 1.7.6-1.mga6
+ Revision: 1083264
- 1.7.6

* Sat Dec 17 2016 luigiwalser <luigiwalser> 1.7.5-1.mga6
+ Revision: 1075745
- 1.7.5

* Wed Aug 17 2016 luigiwalser <luigiwalser> 1.7.3-1.mga6
+ Revision: 1046729
- 1.7.3 (fixes CVE-2016-6313)

* Thu Jul 14 2016 luigiwalser <luigiwalser> 1.7.2-1.mga6
+ Revision: 1042068
- 1.7.2

* Fri Jun 17 2016 tv <tv> 1.7.0-3.mga6
+ Revision: 1021840
- disable testsuite on ARM

* Thu Jun 16 2016 tv <tv> 1.7.0-2.mga6
+ Revision: 1021722
- package the proper license + use %%license

* Mon Apr 18 2016 luigiwalser <luigiwalser> 1.7.0-1.mga6
+ Revision: 1003500
- 1.7.0
- remove patches 2 and 3 (fixed upstream)

* Sat Feb 27 2016 danf <danf> 1.6.5-2.mga6
+ Revision: 979894
- Added pow-norm.patch to fix a potential endless loop

* Fri Feb 12 2016 luigiwalser <luigiwalser> 1.6.5-1.mga6
+ Revision: 958787
- 1.6.5 (fixes CVE-2015-7511)

* Thu Feb 11 2016 umeabot <umeabot> 1.6.4-2.mga6
+ Revision: 955463
- Mageia 6 Mass Rebuild

* Wed Sep 09 2015 fwang <fwang> 1.6.4-1.mga6
+ Revision: 874565
- update file list
- random-daemon is not there any more
- add patch to use new func name
- turn off experimental random daemon
- 1.6.4

* Fri Aug 21 2015 tmb <tmb> 1.5.4-6.mga6
+ Revision: 867585
- rebuild for new gcc

* Wed Apr 01 2015 luigiwalser <luigiwalser> 1.5.4-5.mga5
+ Revision: 819552
- add patch from ubuntu to fix CVE-2015-0837

* Fri Mar 06 2015 luigiwalser <luigiwalser> 1.5.4-4.mga5
+ Revision: 817945
- add upstream patch to fix CVE-2014-3591

* Wed Oct 15 2014 umeabot <umeabot> 1.5.4-3.mga5
+ Revision: 744285
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.4-2.mga5
+ Revision: 681474
- Mageia 5 Mass Rebuild

* Mon Aug 11 2014 luigiwalser <luigiwalser> 1.5.4-1.mga5
+ Revision: 661714
- 1.5.4 (fixes elgamal side-channel attack)

* Sat Oct 19 2013 umeabot <umeabot> 1.5.3-2.mga4
+ Revision: 530654
- Mageia 4 Mass Rebuild

* Sat Jul 27 2013 boklm <boklm> 1.5.3-1.mga4
+ Revision: 458790
- Version 1.5.3 (CVE-2013-4242)

* Thu Jun 13 2013 fwang <fwang> 1.5.2-1.mga4
+ Revision: 442314
- new version 1.5.2

* Sat Jan 12 2013 umeabot <umeabot> 1.5.0-3.mga3
+ Revision: 357154
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 15 2011 fwang <fwang> 1.5.0-2.mga2
+ Revision: 181706
- drop .la files
- disable static
- new version 1.5.0

* Sat Jan 08 2011 blino <blino> 1.4.6-4.mga1
+ Revision: 510
- remove obsolete postun
- imported package libgcrypt


* Sat Jul 17 2010 Lonyai Gergely <aleph@mandriva.org> 1.4.6-3mdv2011.0
+ Revision: 554586
- Multiarch fix 2.

* Sat Jul 17 2010 Lonyai Gergely <aleph@mandriva.org> 1.4.6-2mdv2011.0
+ Revision: 554472
- gcryptrnd mv into %%_bindir from %%_sbindir
- Fix a multiarch problem

* Thu Jul 15 2010 Lonyai Gergely <aleph@mandriva.org> 1.4.6-1mdv2011.0
+ Revision: 553560
- Add BuildRequires libpth-devel
- 1.4.6
  Enable internal random generator
  Enable m-guard facility

* Sat Dec 12 2009 Lonyai Gergely <aleph@mandriva.org> 1.4.5-1mdv2010.1
+ Revision: 477947
- 1.4.5

* Thu Feb 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.4-1mdv2009.1
+ Revision: 337692
- update to new version 1.4.4

* Tue Oct 14 2008 Funda Wang <fwang@mandriva.org> 1.4.3-1mdv2009.1
+ Revision: 293496
- New version 1.4.3

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.4.1-2mdv2009.0
+ Revision: 264802
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon May 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.1-1mdv2009.0
+ Revision: 209083
- new version
- do not re-define stuff
- fix mixture of tabs and spaces
- do not install COPYING files
- spec file clean

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 15 2007 Emmanuel Andry <eandry@mandriva.org> 1.4.0-1mdv2008.1
+ Revision: 120441
- New version
- license is now LGPLv2+
- add major version check
- drop patch2

* Tue Sep 18 2007 Funda Wang <fwang@mandriva.org> 1.2.4-2mdv2008.0
+ Revision: 89577
- New devel package policy


* Fri Feb 02 2007 Andreas Hasenack <andreas@mandriva.com> 1.2.4-1mdv2007.0
+ Revision: 115972
- updated to version 1.2.4

* Wed Dec 13 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.2.3-2mdv2007.1
+ Revision: 96333
- don't make check
- add ppc64 support

* Tue Aug 29 2006 Andreas Hasenack <andreas@mandriva.com> 1.2.3-1mdv2007.0
+ Revision: 58340
- updated to version 1.2.3 (upstream bugfixes)
- bunzipped patch
- Import libgcrypt

* Sun Dec 04 2005 Andreas Hasenack <andreasa@mandriva.com> 1.2.2-1mdk
- updated to version 1.2.2

* Tue Jun 21 2005 Erwan Velu <velu@seanodes.com> 1.2.1-1mdk
- 1.2.1
- Removed patch0 merged upstream
- Removed patch2 : no more necessary

* Tue May 31 2005 Laurent MONTEL <lmontel@mandriva.com> 1.2.0-7mdk
- Fix compile with gcc-4.0

* Fri Mar 11 2005 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-6mdk
- reupload --> lost during ken crash

* Mon Feb 28 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.0-5mdk
- drop lib64 patch in favor of total nuking of -L$(libdir) where
  libdir is a standard library search path, aka fix parallel
  installation when you don't install them at once.

* Wed Feb 09 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.0-4mdk
- lib64/multiarch

* Fri Dec 17 2004 Abel Cheung <deaddog@mandrake.org> 1.2.0-3mdk
- Rebuild

* Thu Aug 19 2004 Abel Cheung <deaddog@deaddog.org> 1.2.0-2mdk
- Rebuild

* Fri May 21 2004 Abel Cheung <deaddog@deaddog.org> 1.2.0-1mdk
- Patch0: automake 1.8 compatibility
- New stable version
- make check
- Use UTF-8 for spec!

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.94-1mdk
- Release 1.1.94
- Switch back to gzip archives, since they are signed upstream

